{
    "path": "$OET_PATH/testcases/function_test/pkg_test/ceph/rados-objclass-devel",
    "machine num": 1,
    "cases": [
        {
            "name": "test_rados-objclass-devel_function_uninstall",
            "desc": "Test the uninstallation of rados-objclass-devel package"
        },
        {
            "name": "test_rados-objclass-devel_function_install",
            "desc": "Test the installation of rados-objclass-devel package"
        },
        {
            "name": "test_rados-objclass-devel_function_check",
            "desc": "Test if rados-objclass-devel is installed correctly"
        },
        {
            "name": "test_rados-objclass-devel_function_headers",
            "desc": "Test the presence of development header files"
        },
        {
            "name": "test_rados-objclass-devel_function_libs",
            "desc": "Test the presence of necessary library files"
        },
        {
            "name": "test_rados-objclass-devel_function_compile",
            "desc": "Test basic compilation with the package"
        }
    ]
}